Summary:	ROSA Alternative GTK+ style for Qt
Name:		qgtkstylealt
Version:	0.1.5
Release:	6
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		http://www.rosalinux.ru/
Source0:	qgtkstylealt-%{version}.tar.gz
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(QtCore)
BuildRequires:	pkgconfig(QtDBus)
BuildRequires:	pkgconfig(QtGui)
BuildRequires:	pkgconfig(QtSvg)
# qt-config rejects this style if adwaita-gtk2-theme is not installed
Requires:	adwaita-gtk2-theme
Requires:	qt4-common

%description
ROSA Alternative GTK+ style for Qt.

%files
%{_kde_libdir}/kde4/plugins/styles/qgtkstylealt.so
%{_kde_appsdir}/kstyle/themes/qgtkstylealt.themerc
%{_qt_plugindir}/styles/qgtkstylealt.so

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

mkdir -p %{buildroot}%{_qt_plugindir}/styles/
pushd %{buildroot}%{_qt_plugindir}/styles/
ln -s %{_kde_libdir}/kde4/plugins/styles/qgtkstylealt.so qgtkstylealt.so
popd

%changelog

* Thu Jun 04 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.1.5-6
- (f2ffc6d) Require adwaita-gtk2-theme


